> For the complete documentation index, see [llms.txt](https://docs.tarlanpayments.kz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/proverka-statusa-tranzakcii.md).

# Проверка статуса транзакции

Для получения состояния транзакции есть возможность сделать запрос по идентификатору проекта (project\_id), информация о статусе хранится в поле [result.transaction\_status.code](/platezhnyi-shlyuz/statusy-tranzakcii.md).

## Запрос на получение статуса транзакции

<mark style="color:blue;">`GET`</mark> `https://prapi.tarlanpayments.kz/transaction/api/v1/system/transaction/status`

#### Query Parameters

| Name                                                     | Type    | Description                                             |
| -------------------------------------------------------- | ------- | ------------------------------------------------------- |
| project\_reference\_id<mark style="color:red;">\*</mark> | String  | Номер заказа на стороне проекта                         |
| merchant\_id<mark style="color:red;">\*</mark>           | Integer | Идентификатор мерчанта присваиваемый платежной системой |
| project\_id<mark style="color:red;">\*</mark>            | Integer | Идентификатор проекта присваиваемый платежной системой  |
| type<mark style="color:red;">\*</mark>                   | String  | [Тип транзакции](/platezhnyi-shlyuz/tipy-tranzakcii.md) |

#### Headers

| Name                                            | Type   | Description                                                                                         |
| ----------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer  Авторотационный хэш (см [Формирование подписи](/platezhnyi-shlyuz/formirovanie-podpisi.md)) |

{% tabs %}
{% tab title="200: OK Пример успешного ответа" %}
{% code overflow="wrap" %}

```json
{
  "status": true,
  "message": "Success",
  "result": {
    "finished_at": "2024-01-02T01:00:00.819045Z",
    "created_at": "2024-01-01T01:00:00.163609Z",
    "acquirer_code": "jusan",
    "acquirer_name": "Jusan Bank",
    "project_id": 99,
    "merchant_id": 999,
    "project_reference_id": "systemPayOutTest002",
    "project_client_id": "systemPayOutClient123",
    "transaction_type": {
      "code": "out",
      "name": "Вывод"
    },
    "id": 139271,
    "amount": 10,
    "description": "System PayOut Desc",
    "user_phone": "+77777777777",
    "user_email": "mail@mail.com",
    "masked_pan": "",
    "transaction_status": {
      "code": "success",
      "name": "Транзакция прошла успешно"
    },
    "refunds" : [] // fields: amount, date.
  }
}
```

{% endcode %}
{% endtab %}

{% tab title="500: Internal Server Error Пример ответа с ошибкой" %}

```json
{
    "status": false,
    "status_code": 5103,
    "message": "transaction not found",
    "result": {}
}
```

{% endtab %}
{% endtabs %}

```bash
curl -X GET "https://prapi.tarlanpayments.kz/transaction/api/v1/system/transaction/status?merchant_id=284&project_id=81&project_reference_id=systemPayOutTest002&type=out" -H "accept: application/json" -H "Authorization: 3f37e1bc02ebe3b4b38612dea390c237de2a9e55c7083fe16bd32cc28662af4a"
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tarlanpayments.kz/platezhnyi-shlyuz/vspomogatelnye-metody/proverka-statusa-tranzakcii.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
